'use strict';

var RelatorioEntregasController = angular.module('RelatorioEntregasController', []);

RelatorioEntregasController.controller('RelatorioEntregasCtrl', ['$scope', '$filter', 'Solicitacao', 'CacheApp',
  ($scope, $filter, Solicitacao, CacheApp) => {

    $scope.getRelatorioEntregas = () => {
        var params = {
            IdConstrucao: $scope.construcao.Id
        }
        Solicitacao.getRelatorioEntregas(params,
            (data) => {
                $scope.listaEntregas = data.Instance;
            })
    }


    $scope.pdfRelatorioEntregas = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        var params = {
            IdConstrucao: $scope.construcao.Id,
            Cabecalho: JSON.stringify(cabecalho)
        }

        Solicitacao.pdfRelatorioEntregas(params,
            (data) => {
                window.location.assign(data.Instance);
            });
    }  

    $scope.xlsRelatorioEntregas = function () {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        }

        var params = {
            IdConstrucao: $scope.construcao.Id,
            Cabecalho: JSON.stringify(cabecalho)
        }

        Solicitacao.xlsRelatorioEntregas(params,
            (data) => {
                window.location.assign(data.Instance);
            })
    }

    $scope.loadPage = () => {
        $scope.construcao = CacheApp.getConstrucao();

        $scope.getRelatorioEntregas();
    }

    $scope.loadPage();

}]);
